## org.eclipse.emf.databinding.edit
Interface IEMFEditSetProperty

All Superinterfaces:
  IEMFEditProperty, IEMFProperty, IEMFSetProperty, IProperty, ISetProperty

All Known Implementing Classes:
  EMFEditSetPropertyDecorator

    public interface IEMFEditSetProperty

extends IEMFEditProperty, IEMFSetProperty

An `ISetProperty` extension interface with convenience methods for creating nested `EStructuralFeature` properties.

Since:
  2.6

Method Summary
`IEMFEditMapProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditMapProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditMapProperty` `values(IEMFEditValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.emf.databinding.edit.IEMFEditProperty
`getEditingDomain`

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.emf.databinding.IEMFSetProperty
`values`

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.property.set.ISetProperty
`getElementType, observe, observe, observeDetail, setFactory, setFactory, values`

Method Detail

### values

    IEMFEditMapProperty values(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFSetProperty`
  Parameters:
    `feature` - the value property to observe.
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `values(IEMFEditValueProperty)`

### values

    IEMFEditMapProperty values(FeaturePath featurePath)

  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFSetProperty`
  Parameters:
    `featurePath` - the value property to observe. May be nested e.g. "parent.name"
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `values(IEMFEditValueProperty)`

### values

    IEMFEditMapProperty values(IEMFEditValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this set property, mapping from this set property's elements (keys) to the specified value property's value for each element (values).

  Example:

       // Observes the set-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFEditSetProperty children = EMFEditProperties.set(domain, MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFEditValueProperty name = EMFEditProperties.value(domain, MyPackage.Literals.PERSON_NAME);
       // Observes a map of children objects to their respective names.
       IEMFEditMapProperty childrenNames = children.values(name);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.